# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-carrot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%global srcname carrot

Name:           python-module-carrot
Version:        0.10.7
Release:        alt1_6
Summary:        AMQP Messaging Framework for Python

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/carrot
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info
# STOMPy backend; optional
%filter_from_requires /^python2...stompy./d



%description
python-carrot is an AMQP messaging queue framework. AMQP is the Advanced
Message Queuing Protocol, an open standard protocol for message
orientation, queuing, routing, reliability and security.

The aim of python-carrot is to make messaging in Python as easy as possible
by providing a high-level interface for producing and consuming
messages. At the same time it is a goal to re-use what is already
available as much as possible.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS Changelog LICENSE
%{python_sitelibdir_noarch}/%{srcname}/
%{python_sitelibdir_noarch}/%{srcname}*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.7-alt1_6
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.7-alt1_5
- initial fc import

